# Gegebene Werte eingeben
R1 = 50.0;	R2 = 1.0e3;	R3 = 0.5e3;
R4 = 1.0e3;	R5 = 1.5e3;	R6 = 2.0e3;
R7 = 1.5e3;	R8 = 2.0e3;	R9 = 2.5e3;
R10 = 3.0e3;	R11 = 2.5e3;
Uq1  = 1.5;	Uq2 = 3.0;	Uq3 = 4.5;
Iq1 = 2.0e-3;	Iq2 = 4.0e-3;

# Leitwerte berechnen
G1 = 1.0 / R1;	G2 = 1.0 / R2;	G3 = 1.0 / R3;
G4 = 1.0 / R4;	G5 = 1.0 / R5;	G6 = 1.0 / R6;
G7 = 1.0 / R7;	G8 = 1.0 / R8;	G9 = 1.0 / R9;
G10 = 1.0 / R10;	G11 = 1.0 / R11;

# Null-Matrix und y-Vektor in passender Groesse anlegen
m = zeros(7,7);
y = [ 0 0 0 0 0 0 0 ]';

# Einzelne Elemente gezielt setzen
m(1,1) = G7+G10;
m(1,2) = -G7;
m(2,1) = -G7;

m(2,2) = G1+G6+G7;
m(2,3) = -G1;
m(3,2) = -G1;
m(2,5) = -G6;
m(5,2) = -G6;

m(3,3) = G1+G2;
m(3,4) = -G2;
m(4,3) = -G2;

m(4,4) = G2+G3+G5;
m(4,5) = -G5;
m(5,4) = -G5;
m(4,6) = -G3;
m(6,4) = -G3;

m(5,5) = G4+G5+G6+G8+G11;
m(5,6) = -G4;
m(6,5) = -G4;
m(5,7) = -G8;
m(7,5) = -G8;

m(6,6) = G3+G4;

m(7,7) = G8+G9;

y(2) = -Iq2 -Uq2*G1;
y(3) = Uq2*G1+Iq1-Uq1*G2;
y(4) = Uq1*G2;
y(5) = -Uq3*G11;
y(6) = -Iq1;
y(7) = Iq2;

# Gleichungssystem loesen
x = inv(m) * y;

# Gesuchten Strom aus Knotenspannung berechnen und ausgeben
I10 = x(1) * G10;
printf('I = %g\n', I10);

