# Gegebene Werte

global	Uamax;
Uamax =  14.32;		# Maximale Ausgangsspannung

global	Uamin;
Uamin = -12.92;		# Minimale Ausgangsspannung

global	R1;
R1    =   4.71e3;	# R1

global	Ue;
Ue    =  13;		# Eingangs-Amplitude

global	Ks;
Ks    =   0.73;		# Sollwert fuer Tastverhaeltnis

global	phis;
phis  = -172.0;		# Sollwert fuer Phasenverschiebung

# Funktion, deren Nullstelle gesucht wird 
function y = trigger(x)
    global Uamax;
    global Uamin;
    global R1;
    global Ue;
    global Ks;
    global phis;
    Usmax = (R1 * Uamax + x(1) * x(2))/(R1 + x(1));
    Usmin = (R1 * Uamin + x(1) * x(2))/(R1 + x(1));
    y = [   0.5+(asin(Usmax/Ue)+asin(Usmin/Ue))/(2*pi)-Ks
            -180*(1-asin(Usmin/Ue)/pi)-phis ];
endfunction
    
[x,v,info] = fsolve(@trigger, [9.0e3; 10]);
if (1 == info)
    printf('Loesung\nR2   = %g\nUref = %g\n', x(1), x(2));
else
    printf("Leider keine Loesung gefunden!\n");
endif
