// Vektor mit den H-Werten
h = [ -525 -470 -420 -330 -220 -120    0 ]';

// Vektor mit den B-Werten
b = [    0 0.50 0.72 0.94 1.12 1.22 1.30 ]';

// Ergebnis von splin
d = splin(h, b);

// Berechnung von B*H.
function [y] = f1(x)
  y = x * interp(x, h, b, d);
endfunction

// Erste Ableitung von B*H nach H,
// Nullstelle dieser Funktion wird gesucht, um
// Maximum von B*H zu finden.
function [y] = f1d1(x)
  [r, r1] = interp(x, h, b, d);
  y = x * r1 + r;
endfunction

// Zweite Ableitung von B*H nach H,
// Ableitung der Funktion, deren Nullstelle wir suchen.
function [y] = f1d2(x)
  [r, r1, r2] = interp(x, h, b, d);
  y = x * r2 + 2 * r1;
endfunction

// Problem 3: Suche nach Maximum fuer B*H
[H3, diff, info] = fsolve(-250, f1d1, f1d2);
if 1==info then
  printf('H3 = %g\nB3 = %g\nBH = %g\n', H3, interp(H3, h, b, d), f1(H3));
else
  printf('Leider keine Loesung fuer Problem 3 gefunden!\n');
end

